Bug 10859 - NFS option "nolock" in mount(8) man page, but not nfs(5) man page
NFS option "nolock" in mount(8) man page, but not nfs(5) man page
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-04-16 11:59 EDT by Daniel Rogers
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-16 11:59:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Rogers 2000-04-16 11:59:14 EDT
The NFS option "nolock" is mentioned in the mount (8) man page as:

	nolock Do not use locking. Do not start lockd.

However, the man page also tells you to see the man page for nfs (5) for
detailed information on mount options for nfs file systems, but the nfs (5)
man page makes no mention of the nolock option.

Also, it should be mentioned in the documentation that this option is
required for mounting old-style (RH 5.2 or older) NFS servers, as well as
other NFS servers that don't support lockd.  Otherwise, all attempts at
locking on these filesystems will result in -EACCES from fcntl.

This will result in various failure modes, such as WindowMaker refusing to
load your preferences if your home directory is mounted via NFS, and
subsequently overwriting your preferences with the system wide defaults.

This is probably not what you'd want in this case.

Kindly update the documentation to save other people the pain of having to
figure this out themselves.

Comment 1 Bernhard Rosenkraenzer 2000-08-04 09:11:31 EDT

Note You need to log in before you can comment on or make changes to this bug.